﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

    <title></title>
</head>
<body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $IG.ColumnResizing.prototype._onMouseMove = function (evnt) {
                var target = evnt.target;
                if (target != null && target.nodeName == "TH") {
                    var elemBounds = Sys.UI.DomElement.getBounds(target);
                    var brw = $util.getStyleValue(null, "borderRightWidth", target);
                    brw = parseInt(brw);
                    if (isNaN(brw))
                        brw = 3;
                    else if (brw < 3) brw = 3;
                    var blw = 3;
                    blw = $util.getStyleValue(null, "borderLeftWidth", target);
                    blw = parseInt(blw);
                    if (isNaN(blw))
                        blw = 3;
                    else
                        if (blw < 3)
                            blw = 3;
                    var column = this._grid._gridUtil._getColumnFromHeader(target);
                    var realTarget = target;
                    var headerLayoutColumn = null;
                    if (this._gridHasHeaderLayout && target) {
                        if (target.parentNode && target.parentNode.getAttribute && target.parentNode.getAttribute("mkr") == "sizeHeaderRow") {
                            this._currentDraggingAction.isDragEligible = false;
                            this.__restoreSettings();
                            return;
                        }
                        var key = target.getAttribute("key");
                        column = this._grid.get_columns().get_columnFromKey(key);
                        if (!column) {
                            headerLayoutColumn = this._grid._gridUtil._get_HeaderLayoutColumnFromKey(key);
                            if (headerLayoutColumn) {
                                column = this.__get_lastDataColumn(headerLayoutColumn);
                                if (column)
                                    target = column.get_headerElement();
                            }
                        }
                    }
                    if (this.__previousHeader && this.__previousHeader != target) {
                        this.__restoreHeaderCursor(this.__previousHeader);
                        this.__previousHeader = null;
                        this.__previousGrpHeader = null;
                        this._currentDraggingAction.isDragEligible = false;
                    }
                    var windowScrollLeft = window.document.getElementsByTagName("html")[0].scrollLeft;
                    if (!column) return;

                    //This here can be modified. I'm going to add 4px offset. The area in which the two headed arrow shows will be smaller.
                    var rightEdgeDelta = Math.abs(windowScrollLeft + evnt.clientX - (elemBounds.x + elemBounds.width));
                    var leftEdgeDelta = Math.abs(windowScrollLeft + evnt.clientX - elemBounds.x);
                    rightEdgeDelta = rightEdgeDelta + 4;
                    leftEdgeDelta = leftEdgeDelta + 4;
                    brw = brw + 4;
                    //End of modification

                    if ((rightEdgeDelta <= brw) || (leftEdgeDelta <= blw)) {
                        var allowResize = false;
                        var resizeSetting = this.__getColumnResizeSettingFromHeader(target);
                        if (leftEdgeDelta <= blw) {
                            /* Changed the logic to use the visibleIndex instead of the the index in the collection */
                            if (headerLayoutColumn == null && column.get_visibleIndex() != 0) {
                                var prevColumn = this._grid._gridUtil._getPreviousRenderedColumn(column);
                                if (prevColumn) {
                                    var prevSib = prevColumn.get_headerElement();
                                    resizeSetting = this.__getColumnResizeSettingFromHeader(prevSib);
                                    if (resizeSetting && resizeSetting.get_enableResize()) {
                                        allowResize = true;
                                        target = prevSib;
                                    }
                                }
                            }
                            else if (headerLayoutColumn != null && headerLayoutColumn.get_visibleIndex() != 0) {
                                var prevHeaderLayoutColumn = this._grid._gridUtil._getPreviousRenderedHeaderLayoutColumn(headerLayoutColumn);
                                if (prevHeaderLayoutColumn) {
                                    realTarget = prevHeaderLayoutColumn.get_headerElement();
                                    var prevColumn = this.__get_lastDataColumn(prevHeaderLayoutColumn);
                                    if (prevColumn)
                                        target = prevColumn.get_headerElement();
                                }
                            }
                        }
                        else if ((rightEdgeDelta <= brw) && resizeSetting && resizeSetting.get_enableResize()) {
                            allowResize = true;
                        }
                        if (allowResize && this.__previousHeader == null) {
                            this._currentDraggingAction.isDragEligible = true;
                            this.__previousHeader = target;
                            this.__previousGrpHeader = realTarget;
                            this.__previousHeader.__previousCursor = this.__previousHeader.style.cursor;
                            this.__previousGrpHeader.__previousCursor = this.__previousGrpHeader.style.cursor;
                            this.__previousHeader.style.cursor = "w-resize";
                            this.__previousGrpHeader.style.cursor = "w-resize";
                        }
                    }
                    else {
                        this.__restoreSettings();
                    }
                }


            }
        });
      
    
    </script>

    <form id="form1" runat="server">
    <div>
         <asp:ScriptManager ID="ScriptManager1" runat="server"/>
        <ig:WebHierarchicalDataGrid  AutoGenerateColumns="False" 
             AutoGenerateBands="False"  ID="WebHierarchicalDataGrid1" runat="server" Height="350px"
        Width="400px">

            <AjaxIndicator BlockArea="Control" RelativeToControl="True" Location="MiddleCenter" />
            <EmptyRowsTemplate>
                <asp:Label runat="server" ID="lblControlEmptyRows" Text="No records were found."></asp:Label></EmptyRowsTemplate>
            <GroupingSettings EnableColumnGrouping="True" InitialRowExpandState="Collapsed" EmptyGroupAreaText="Drag column(s) here to group your information.">
            </GroupingSettings>
            <Behaviors>
                <ig:Activation />
                <ig:Paging />
                <ig:ColumnMoving />
                <ig:ColumnResizing Enabled="true">
                    <AutoPostBackFlags ColumnResized="true" />
                </ig:ColumnResizing>
                <ig:Sorting SortingMode="Single" />
                <ig:Selection CellClickAction="Row" RowSelectType="Single" CellSelectType="Single">
                </ig:Selection>
            </Behaviors>
            <Columns>
                <ig:BoundDataField DataFieldName="id" Key="id" Width="40">
                    <Header Text="Id" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Item" Key="Item" Width="150">
                    <Header Text="Item" />
                </ig:BoundDataField>
            </Columns>
        </ig:WebHierarchicalDataGrid>




    
        </div>
    </form>
</body>
</html>
